Bug 1997048 - User can create same domain mapping multiple times
Summary: User can create same domain mapping multiple times
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: yvakil
QA Contact: Jaivardhan Kumar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-24 10:18 UTC by yvakil
Modified: 2021-10-18 17:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:48:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
Many duplicates are created in the dropdown `options` (664.78 KB, image/png)
2021-08-24 10:18 UTC, yvakil
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9853 0 None None None 2021-08-24 10:27:08 UTC
Red Hat Issue Tracker ODC-6216 0 None None None 2021-08-24 10:18:38 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:48:37 UTC

Description yvakil 2021-08-24 10:18:39 UTC
Created attachment 1817125 [details]
Many duplicates are created in the dropdown `options`

Description of problem:
While creating the domain mapping, user can create the same domain mapping multiple times.

Prerequisites (if any, like setup, operators/versions):
Install OpenShift Serverless Operator and create Knative Eventing CR

Steps to Reproduce
Select any import flow
Select Serverless Deployment resource type
Click on Advanced Option
Create a domain mapping "domain.org"
Type the same domain mapping again and it will get created
Actual results:
Same domain mapping get created multiple times

Expected results:
It shouldn't create the same domain mappings multiple times, instead, it should ask the user to select an already created one when he tries to create the same again.

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
4.9.0-0.ci-2021-07-28-013104

Additional info:

Comment 3 Jaivardhan Kumar 2021-08-30 12:06:32 UTC
verified on 4.9.0-0.nightly-2021-08-29-010334

Comment 6 errata-xmlrpc 2021-10-18 17:48:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.